`include "define.v"
module DelayStage8Ch  (
   Ch1DIN, Ch2DIN, Ch3DIN, Ch4DIN,
   Ch5DIN, Ch6DIN, Ch7DIN, Ch8DIN,
   Ch1Delay, Ch2Delay, Ch3Delay, Ch4Delay,
   Ch5Delay, Ch6Delay, Ch7Delay, Ch8Delay,
   CLK,
   Ch1DOUT, Ch2DOUT, Ch3DOUT, Ch4DOUT,
   Ch5DOUT, Ch6DOUT, Ch7DOUT, Ch8DOUT   );

input [`DEL_DATA_WIDTH - 1: 0]   Ch1DIN,Ch2DIN,Ch3DIN,Ch4DIN,
											Ch5DIN,Ch6DIN,Ch7DIN,Ch8DIN;
input [1:0]								Ch1Delay,Ch2Delay,Ch3Delay,Ch4Delay,
											Ch5Delay,Ch6Delay,Ch7Delay,Ch8Delay;
input CLK;

output [`DEL_DATA_WIDTH - 1: 0]  Ch1DOUT,Ch2DOUT,Ch3DOUT,Ch4DOUT,
											Ch5DOUT,Ch6DOUT,Ch7DOUT,Ch8DOUT;

//the 8 DelayStage modules are instantiated here
DelayStage Ch1DelayStage (
    .DIN(Ch1DIN), 
    .ChDelay(Ch1Delay), 
    .CLK(CLK), 
    .DOUT(Ch1DOUT)
    );
DelayStage Ch2DelayStage (
    .DIN(Ch2DIN), 
    .ChDelay(Ch2Delay), 
    .CLK(CLK), 
    .DOUT(Ch2DOUT)
    );
DelayStage Ch3DelayStage (
    .DIN(Ch3DIN), 
    .ChDelay(Ch3Delay), 
    .CLK(CLK), 
    .DOUT(Ch3DOUT)
    );
DelayStage Ch4DelayStage (
    .DIN(Ch4DIN), 
    .ChDelay(Ch4Delay), 
    .CLK(CLK), 
    .DOUT(Ch4DOUT)
    );
DelayStage Ch5DelayStage (
    .DIN(Ch5DIN), 
    .ChDelay(Ch5Delay), 
    .CLK(CLK), 
    .DOUT(Ch5DOUT)
    );
DelayStage Ch6DelayStage (
    .DIN(Ch6DIN), 
    .ChDelay(Ch6Delay), 
    .CLK(CLK), 
    .DOUT(Ch6DOUT)
    );
DelayStage Ch7DelayStage (
    .DIN(Ch7DIN), 
    .ChDelay(Ch7Delay), 
    .CLK(CLK), 
    .DOUT(Ch7DOUT)
    );
DelayStage Ch8DelayStage (
    .DIN(Ch8DIN), 
    .ChDelay(Ch8Delay), 
    .CLK(CLK), 
    .DOUT(Ch8DOUT)
    );

endmodule
